/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#ifndef _TStatusBar_h_
#define _TStatusBar_h_
//---------------------------------------------------------------------
#include "../JuceLibraryCode/JuceHeader.h"
//---------------------------------------------------------------------
// Наследуем класс полосы состояния от класса таймера
class TStatusBar : public Component,
                   public Timer
{
public:
    TStatusBar();
    ~TStatusBar();
    
    void paint(Graphics&);
    void resized();
    
    // Периодически вызываемая функция (временной интервал вызова
    // функции задаётся методом startTimer)
    void timerCallback();
    
    // Функция, выводящая подсказку на pMessagesLabel
    void ShowHint(String);
    
private:
    Label* pMessagesLabel;
    Label* pDateTimeLabel;
    
    String sFormatDate(int);
};
//---------------------------------------------------------------------
#endif
