/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#ifndef _TCentralComponent_h_
#define _TCentralComponent_h_
//---------------------------------------------------------------------
#include "../JuceLibraryCode/JuceHeader.h"
#include "TMainForm.h"
//---------------------------------------------------------------------
// Класс компонента содержимого.
// Наследует класс цели команд
class TCentralComponent  : public Component,
                           public ButtonListener
{
public:
    TCentralComponent();
    ~TCentralComponent();

    void paint(Graphics&);
    void resized();
    void buttonClicked(Button*);

private:
    ToggleButton* pShowGreetingButton;
    ToggleButton* pShowCloseButton;
    Label* pHelloLabel;
    TextButton* pCloseButton;

    // Предотвращает создание копии конструктора и оператора =
    TCentralComponent(const TCentralComponent&);
    const TCentralComponent& operator= (const TCentralComponent&);
};
//---------------------------------------------------------------------
#endif
