/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#include "TMainForm.h"
#include "TCentralComponent.h"
//---------------------------------------------------------------------
TMainForm::TMainForm() : DocumentWindow(
                        JUCEApplication::getInstance()->getApplicationName(),
                        Colours::azure,
                        // В заголовке — только кнопка минимизации
                        DocumentWindow::minimiseButton)
{
    centreWithSize(400, 200);
    // Запрет на изменение размеров окна
    setResizable(false, false);
    setVisible(true);

    pCentralComponent = new TCentralComponent();
    setContentOwned(pCentralComponent, true);
}
//---------------------------------------------------------------------
TMainForm::~TMainForm()
{
}
//---------------------------------------------------------------------


